## org.jfree.data.statistics
Class MeanAndStandardDeviation

    java.lang.Object
      org.jfree.data.statistics.MeanAndStandardDeviation

All Implemented Interfaces:
  java.io.Serializable

    public class MeanAndStandardDeviation

extends java.lang.Object
implements java.io.Serializable

A simple data structure that holds a mean value and a standard deviation value. This is used in the `DefaultStatisticalCategoryDataset` class.

See Also:
  Serialized Form

Constructor Summary
`MeanAndStandardDeviation(double mean, double standardDeviation)` Creates a new mean and standard deviation record.
`MeanAndStandardDeviation(java.lang.Number mean, java.lang.Number standardDeviation)` Creates a new mean and standard deviation record.

Method Summary
`boolean` `equals(java.lang.Object obj)` Tests this instance for equality with an arbitrary object.
`java.lang.Number` `getMean()` Returns the mean.
`double` `getMeanValue()` Returns the mean as a double primitive.
`java.lang.Number` `getStandardDeviation()` Returns the standard deviation.
`double` `getStandardDeviationValue()` Returns the standard deviation as a double primitive.
`java.lang.String` `toString()` Returns a string representing this instance.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MeanAndStandardDeviation

    public MeanAndStandardDeviation(double mean,
                                    double standardDeviation)

  Creates a new mean and standard deviation record.

  Parameters:
    `mean` - the mean.
    `standardDeviation` - the standard deviation.

### MeanAndStandardDeviation

    public MeanAndStandardDeviation(java.lang.Number mean,
                                    java.lang.Number standardDeviation)

  Creates a new mean and standard deviation record.

  Parameters:
    `mean` - the mean (`null` permitted).
    `standardDeviation` - the standard deviation (`null` permitted.

Method Detail

### getMean

    public java.lang.Number getMean()

  Returns the mean.

  Returns:
    The mean.

### getMeanValue

    public double getMeanValue()

  Returns the mean as a double primitive. If the underlying mean is `null`, this method will return `Double.NaN`.

  Returns:
    The mean.
  Since:
    1.0.7
  See Also:
    `getMean()`

### getStandardDeviation

    public java.lang.Number getStandardDeviation()

  Returns the standard deviation.

  Returns:
    The standard deviation.

### getStandardDeviationValue

    public double getStandardDeviationValue()

  Returns the standard deviation as a double primitive. If the underlying standard deviation is `null`, this method will return `Double.NaN`.

  Returns:
    The standard deviation.
  Since:
    1.0.7

### equals

    public boolean equals(java.lang.Object obj)

  Tests this instance for equality with an arbitrary object.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the object (`null` permitted).
  Returns:
    A boolean.

### toString

    public java.lang.String toString()

  Returns a string representing this instance.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A string.
  Since:
    1.0.7